EDIT - feature request #7309

Implement collectorTitle and collectorTitleCache and the same for nomenclatural title in tax editor
03/12/2018 12:09 PM - Katja Luther

Status: Feedback Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 90%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.25

Severity: normal

Description

Teams and persons in future will have the field collectorTitleCache. Additionally Person will have a field collectorTitle and Team a
field protectedCollectorTitleCache.

So for Person we need an ordinary text field collectorTitle while for Team we need an ordinary cache field collectorTitleCache
including protectedXXX functionality like for any other cache field.
For Person the result of the collectorTitleCache field should only be displayed but not be editable.

Exactly the same we need for nomenclaturalTitle, nomencalturalTitleCache and protectedNomenclaturalTitleCache.

Related issues:

Related to EDIT - feature request #4311: Improve person representation in CDM Closed
Related to EDIT - feature request #7178: implement collectorTitleCache in Tea... New

Related to EDIT - feature request #9680: Show collectorTitleCache and protect... Closed
Related to EDIT - bug #9949: doGetSynonymy throws LIE in Mexico Portal Closed

Associated revisions

Revision 8f1f6888 - 06/25/2021 02:21 PM - Katja Luther
ref #7309: add collectorTitle/titleCache to editor

Revision e033750b - 06/25/2021 02:30 PM - Katja Luther

ref #7309: add collectorTitle/titleCache to editor - continue

Revision c9e207d1 - 06/28/2021 04:09 PM - Katja Luther

fix updateCaches - do not set nomenclaturalTitle but nomenclaturalTitleCache

Revision 9ef89740 - 06/28/2021 04:15 PM - Katja Luther

ref #7309: collector and nomenclatural title fields show cache if empty

Revision 3645336f - 07/02/2021 12:27 PM - Katja Luther
ref #7309: avoid CCE

Revision 53323ee2 - 11/27/2023 12:52 PM - Andreas Miller
ref #10432, #7309 implement truncating for collectorTitleCache

History

#1 - 03/12/2018 12:10 PM - Katja Luther

- Related to feature request #4311: Improve person representation in CDM added

#2 - 03/12/2018 12:53 PM - Andreas Miiller

- Blocked by feature request #7178: implement collectorTitleCache in TeamOrPersonField (vaadin) added

#3 - 03/23/2018 05:20 PM - Andreas Kohlbecker
- Blocked by deleted (feature request #7178: implement collectorTitleCache in TeamQOrPersonField (vaadin))
#4 - 03/23/2018 05:20 PM - Andreas Kohlbecker

- Related to feature request #7178: implement collectorTitleCache in TeamOrPersonField (vaadin) added

#5 - 05/17/2018 02:25 PM - Andreas Miiller

- Target version changed from Release 5.0 to Release 5.1

#6 - 06/28/2018 12:08 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#7 - 08/17/2018 03:52 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#8 - 09/06/2018 08:55 PM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#9 - 10/23/2018 10:38 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#10 - 02/19/2019 02:44 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#11 - 02/19/2019 03:21 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#12 - 06/09/2021 05:51 PM - Andreas Miiller
- Priority changed from Priority14 to Highest

- Target version changed from Reviewed Next Major Release to Release 5.25

I will implement the update script now so we also need the fields in taxeditor

#13 - 06/16/2021 05:43 PM - Andreas Miiller

- Subject changed from Implement collector titlecache in tax editor to Implement collectorTitle and collectorTitleCache and the same for nomenclatural
title in tax editor

- Description updated

#14 - 06/25/2021 02:39 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

This should be implemented now, please review.

#15 - 06/25/2021 06:12 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 50

For Person the result of the collectorTitleCache field should only be displayed but not be editable.

This still seems to be missing. We either need a separate field or label here or we could show the text in the "background" of the given field (like
sometimes usage hints are shown in empty fields) as long as the field is not yet filled with any text. | don't know if this is possible in RCP, if yes, this
might be the preferred solution as it keeps the Ul simple.

#16 - 06/25/2021 06:18 PM - Andreas Miiller

- Related to feature request #9680: Show collectorTitleCache and protectedCollectorTitleCache+ protectedNomenclaturalTitleCache in BulkEditor
added
#17 - 06/28/2021 04:15 PM - Katja Luther

Andreas Muller wrote:

For Person the result of the collectorTitleCache field should only be displayed but not be editable.

This still seems to be missing. We either need a separate field or label here or we could show the text in the "background” of the given field (like
sometimes usage hints are shown in empty fields) as long as the field is not yet filled with any text. | don't know if this is possible in RCP, if yes,
this might be the preferred solution as it keeps the Ul simple.

this is implemented now, also for nomenclatural title(cache)

#18 - 06/28/2021 04:16 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

#19 - 06/29/2021 10:29 PM - Andreas Miiller

It seems to work now.

However, there is another problem now. The protect button is disabled for all titleCache fields if the cache is not protected. This is the case not only
for persons but for all xxxCache fields in Details View.
Maybe this is related to changes in #9287

#20 - 06/29/2021 10:41 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

#21 - 06/30/2021 02:22 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller
Andreas Muller wrote:
It seems to work now.
However, there is another problem now. The protect button is disabled for all titleCache fields if the cache is not protected. This is the case not

only for persons but for all xxxCache fields in Details View.
Maybe this is related to changes in #9287

this is fixed. Please have a look whether all toggleable text fields are fixed.

#22 - 07/01/2021 01:24 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 100
Works as expected now

#23 - 07/01/2021 01:31 PM - Andreas Miiller
- Status changed from Closed to Feedback
- % Done changed from 100 to 90

A final minor issue. Can we use a grey which is a bit more light? Currently, at least on my screen, it is difficult to distinguish really existing values
(which should be darker) from cache values (which should be more light).

#24 - 07/05/2021 10:20 AM - Katja Luther

Andreas Muller wrote:

A final minor issue. Can we use a grey which is a bit more light? Currently, at least on my screen, it is difficult to distinguish really existing values
(which should be darker) from cache values (which should be more light).
This colour is set when the message is shown, | need to find how to change this.

#25 - 02/21/2022 02:52 PM - Andreas Miiller
- Related to bug #9949: doGetSynonymy throws LIE in Mexico Portal added

#26 - 10/20/2023 12:45 PM - Andreas Miiller
- Related to bug #10419: Collector title not handled correctly if collector titleCache is protected added

#27 - 10/20/2023 12:49 PM - Andreas Miiller
- Related to deleted (bug #10419: Collector title not handled correctly if collector titleCache is protected)
